#!./haserl
Content-Type: text/html

<html>
<head>
<META HTTP-EQUIV="REFRESH" CONTENT="0">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
<title>WRTbwlog - Current Down/Upload speed</title>
</head>
<body>

<?
######get config data#####
if [ -f ./data/config ]; then
  tinter=$(cat "./data/config"|grep "wrt_tinter"|cut -d '=' -f2)
  spdadj=$(cat "./data/config"|grep "wrt_spdadj"|cut -d '=' -f2)
  spdupd=$(cat "./data/config"|grep "wrt_spdupd"|cut -d '=' -f2)
fi

#####default values#####
if [ "$tinter" = "" ]; then
  tinter="vlan1"
fi
                  
if [ "$spdadj" = "" ]; then
  spdadj="1100"
fi
                  
if [ "$spdupd" = "" ]; then
  spdupd="5"
fi
                  
if [ -f ./data/speeddet ]; then
  echo "<h3>Down: $(sed -n '1,1p' "./data/speeddet") kB/s</h3>"
  echo "<h3>Up: $(sed -n '2,2p' "./data/speeddet") kB/s</h3>"
  echo "(+/- 5%, ${spdupd} sec average)"
  rm ./data/speeddet
fi

l=$(grep $tinter /proc/net/dev)

sleep $spdupd

c=$(grep $tinter /proc/net/dev)

ld=$(echo $l|tr \: \ |awk '{print $2}')
lu=$(echo $l|tr \: \ |awk '{print $10}')

cd=$(echo $c|tr \: \ |awk '{print $2}')
cu=$(echo $c|tr \: \ |awk '{print $10}')

sd=$(echo $cd $ld | awk '{print $1 - $2}')
su=$(echo $cu $lu | awk '{print $1 - $2}')

sd=$(echo $sd $spdupd $spdadj | awk '{print $1 / ($2 * $3)}')
su=$(echo $su $spdupd $spdadj | awk '{print $1 / ($2 * $3)}')

echo "$sd" > ./data/speeddet
echo "$su" >> ./data/speeddet
?>

</body>
</html>
